#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var path = require("path");
var fs = require("fs");
var recommendations_1 = require("./utils/recommendations");
var existing;
var extensionsFile = path.join('.vscode', 'extensions.json');
try {
    existing = JSON.parse(fs.readFileSync(extensionsFile).toString());
}
catch (e) { }
if (existing) {
    existing.recommendations = existing.recommendations || [];
    recommendations_1.recommendations.forEach(function (extension) {
        if (!existing.recommendations.includes(extension)) {
            existing.recommendations.push(extension);
        }
    });
    fs.writeFileSync(extensionsFile, JSON.stringify(existing, null, 2));
}
else {
    try {
        fs.mkdirSync('.vscode');
    }
    catch (e) { }
    fs.writeFileSync(extensionsFile, JSON.stringify({
        recommendations: recommendations_1.recommendations
    }, null, 2));
}
