"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var schematics_1 = require("@angular-devkit/schematics");
var json_utils_1 = require("../utils/json-utils");
var recommendations_1 = require("../utils/recommendations");
var addExtensionRecommendations = json_utils_1.updateJsonInTree('.vscode/extensions.json', function (json) {
    json.recommendations = json.recommendations || [];
    recommendations_1.recommendations.forEach(function (extension) {
        if (!json.recommendations.includes(extension)) {
            json.recommendations.push(extension);
        }
    });
    return json;
});
var removeFromPackageJson = json_utils_1.updateJsonInTree('package.json', function (json) {
    delete json.dependencies['angular-vscode'];
    delete json.devDependencies['angular-vscode'];
    return json;
});
function default_1(schema) {
    return schematics_1.chain([addExtensionRecommendations, removeFromPackageJson]);
}
exports.default = default_1;
